Audit log

Every change made through the UI or the API.

2 endpoints

Audit log of a server

#

GET/api/v1/servers/{id}/audit

Path parameters

  • id integer> 0

Example

curl "https://panel.example.com/api/v1/servers/42/audit" \
  -H "Authorization: Bearer $TRIXOS_TOKEN"

Audit log

#

GET/api/v1/audit

Admin only

Filters: userId, targetType, targetId, source, action, from, to, limit.

Query parameters

  • userId integer
  • targetType stringmax. 32 chars
  • targetId stringmax. 64 chars
  • source stringone of web, api, compat, system, internal
  • action stringmax. 64 chars
  • search stringmax. 100 chars
  • from stringdate-time
  • to stringdate-time
  • limit integer≥ 1, ≤ 1000, default 200
  • beforeId integer

Example

curl "https://panel.example.com/api/v1/audit" \
  -H "Authorization: Bearer $TRIXOS_TOKEN"